#!/bin/csh -f

# shell program to use winnerTakeAll.pl on the art and authority
# answer files to generate "best answers".

# subtest 1
echo "Running winnerTakeAll.pl on art.answers.reqd"

set TESTFILE        = "art.answers.reqd"
set TARGETFILE      = "art.bestanswers.reqd"

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE)) then
    echo "File $TARGETFILE does not exist... aborting"
    exit
endif

# test on art.anwers.reqd
echo "Testing winnerTakeAll.pl thusly: winnerTakeAll.pl $TESTFILE > art.out"
winnerTakeAll.pl $TESTFILE > art.out

# find diffs for training file
diff art.out $TARGETFILE > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE)"
else
    echo "Following differences exist between art.out and $TARGETFILE :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f art.out


# subtest 2
echo "Running winnerTakeAll.pl on authority.answers.reqd"

set TESTFILE        = "authority.answers.reqd"
set TARGETFILE      = "authority.bestanswers.reqd"

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE)) then
    echo "File $TARGETFILE does not exist... aborting"
    exit
endif

# test on authority.anwers.reqd
echo "Testing winnerTakeAll.pl thusly: winnerTakeAll.pl $TESTFILE > authority.out"
winnerTakeAll.pl $TESTFILE > authority.out

# find diffs for training file
diff authority.out $TARGETFILE > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE)"
else
    echo "Following differences exist between authority.out and $TARGETFILE :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f authority.out


